package routers

import (
	"Cold_GoodsOrder/conf"
	"Cold_GoodsOrder/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	var version = conf.Version

	// 订单管理
	beego.Router(version+"/GoodsOrder/List", &controllers.GoodsOrderController{}, "*:GoodsOrder_List") // 订单列表
	beego.Router(version+"/GoodsOrder/Get", &controllers.GoodsOrderController{}, "*:GoodsOrder_Get")   // 获取订单
	beego.Router(version+"/GoodsOrder/Add", &controllers.GoodsOrderController{}, "*:GoodsOrder_Add")   // 添加订单
	beego.Router(version+"/GoodsOrder/Edit", &controllers.GoodsOrderController{}, "*:GoodsOrder_Edit") // 编辑订单
	beego.Router(version+"/GoodsOrder/Del", &controllers.GoodsOrderController{}, "*:GoodsOrder_Del")   // 删除订单
	beego.Router(version+"/GoodsOrder/PDF", &controllers.GoodsOrderController{}, "*:GoodsOrder_PDF")   // 订单pdf

}
